# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
task-defaults:
    suite: awsy
    max-run-time: 7200
    instance-size: xlarge-noscratch
    virtualization:
        by-test-platform:
            windows.*(?:-shippable)?.*/.*: virtual-with-gpu
            default: virtual
    allow-software-gl-layers: false
    mozharness:
        script: awsy_script.py
        config:
            by-test-platform:
                windows.*:
                    - awsy/taskcluster_windows_config.py
                macosx.*/opt:
                    - awsy/macosx_config.py
                default:
                    - awsy/linux_config.py
    tier: default
    test-manifest-loader: null  # don't load tests in the taskgraph


awsy:
    description: Are we slim yet - tp5 pageset
    treeherder-symbol: SY(sy)
    run-on-projects: []
    mozharness:
        extra-options:
            - --tp5

awsy-tp6:
    description: Are we slim yet - tp6 pageset
    treeherder-symbol: SY(sy-tp6)
    run-on-projects:
        by-test-platform:
            .*-devedition/.*: []  # don't run on devedition
            windows.*-32.*/opt: []
            linux(?!.*shippable).*/opt: []
            windows(?!.*shippable).*/opt: []
            mac(?!.*shippable).*/opt: []
            default: [trunk]

awsy-dmd:
    description: Are we slim yet - dmd enabled
    treeherder-symbol: SY(sy-d)
    run-on-projects: []
    mozharness:
        extra-options:
            - --dmd

awsy-base:
    description: Are we slim yet - about:blank base case
    treeherder-symbol: SY(ab)
    run-on-projects:
        by-test-platform:
            .*-devedition/.*: []  # don't run on devedition.
            windows.*-32.*/opt: []
            linux(?!.*shippable).*/opt: []
            windows(?!.*shippable).*/opt: []
            mac(?!.*shippable).*/opt: []
            default: [trunk]
    tier: default
    mozharness:
        extra-options:
            - --base

awsy-base-dmd:
    description: Are we slim yet - about:blank base case - dmd enabled
    treeherder-symbol: SY(ab-d)
    run-on-projects: []
    mozharness:
        extra-options:
            - --base
            - --dmd
